## org.hibernate.engine.jdbc.spi
Class ConnectionObserverAdapter

    java.lang.Object
      org.hibernate.engine.jdbc.spi.ConnectionObserverAdapter

All Implemented Interfaces:
  ConnectionObserver

    public class ConnectionObserverAdapter

extends Object
implements ConnectionObserver

Constructor Summary
`ConnectionObserverAdapter()`

Method Summary
`void` `logicalConnectionClosed()` The logical connection was closed.
`void` `physicalConnectionObtained(Connection connection)` A physical connection was obtained.
`void` `physicalConnectionReleased()` A physical connection was released.
`void` `statementPrepared()` Notification of a statement being prepared

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionObserverAdapter

    public ConnectionObserverAdapter()

Method Detail

### physicalConnectionObtained

    public void physicalConnectionObtained(Connection connection)

  Description copied from interface: `ConnectionObserver`
  A physical connection was obtained.

  Specified by:
    `physicalConnectionObtained` in interface `ConnectionObserver`
  Parameters:
    `connection` - The physical connection just obtained.

### physicalConnectionReleased

    public void physicalConnectionReleased()

  Description copied from interface: `ConnectionObserver`
  A physical connection was released.

  Specified by:
    `physicalConnectionReleased` in interface `ConnectionObserver`

### logicalConnectionClosed

    public void logicalConnectionClosed()

  Description copied from interface: `ConnectionObserver`
  The logical connection was closed.

  Specified by:
    `logicalConnectionClosed` in interface `ConnectionObserver`

### statementPrepared

    public void statementPrepared()

  Description copied from interface: `ConnectionObserver`
  Notification of a statement being prepared

  Specified by:
    `statementPrepared` in interface `ConnectionObserver`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.